Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
hieuhx68

Xin lips cắt chân dim cách 1 đường thẳng giá trị cố định.

Các bài được khuyến nghị

hieuhx68    0

http://i1232.photobucket.com/albums/ff361/hieuhx68/Untitled3232_zpsibbnawop.jpg

Xin lips cắt chân dim cách 1 đường thẳng giá trị cố định. em ko load ảnh trực tiếp lên trang cadviet được. mọi người click vào link giúp em em ạ. 

em muốn nhờ mọi người giúp lips cắt chân dim sao cho các dim cách đường thẳng nghiêng 1 giá trị bằng nhau. Em cảm ơn nhiều

Chỉnh sửa theo hieuhx68

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tot77    501

 Bạn thử cái này. Chỉ dùng với dimlinear và đuong giới hạn là line.

 

(defun c:kn(/ CAOC G1 G2 LI SS TT10 TT13 TT14 TT9)
(defun dxf(id v) (cdr (assoc id (entget v))))
(defun doi (id tri v) (entmod (subst (cons id tri) (assoc id (entget v)) (entget v)))) 
(defun dxf9(v / tt10 tt13 tt14 tt50 tt9)
 (setq tt10 (dxf 10 v)
tt13 (dxf 13 v)
tt14 (dxf 14 v)
tt50 (dxf 50 v) 
  tt9 (inters tt10 (polar tt10 tt50 1) tt13 (polar tt13 (angle tt14 tt10) 1) nil)     
 )
)
;;;
(princ "\n Chon Kich thuoc:")  (setq ss (ssget '((0 . "DIMENSION"))))
(princ "\n Chon Line:") (setq li (ssname (ssget ":S:E" '((0 . "LINE") )) 0))
(setq caoc (getreal (strcat "\n Cach khoang <" (if gl_caoc (rtos gl_caoc) (rtos (setq gl_caoc 0.02))) ">: ")))
(if caoc (setq gl_caoc caoc))
 
  (foreach obj (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss)))
      (setq  tt13 (dxf 13 obj)
    tt14 (dxf 14 obj)
    tt10 (dxf 10 obj)
    tt9 (dxf9 obj)
g1 (inters (dxf 10 li) (dxf 11 li) tt10 tt14 nil)
g2 (inters (dxf 10 li) (dxf 11 li) tt9 tt13 nil)
)
   (if g1 (doi 14 (polar g1 (angle g1 tt10) gl_caoc) obj))
   (if g2 (doi 13 (polar g2 (angle g2 tt9) gl_caoc) obj))
  )
)
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hieuhx68    0

mọi người ơi cho em hỏi chút với...

em mới vào diễn đàn nên không biết đăng bài lên hỏi thế nào ạ, ai giúp em với..hic hic

Bác vừa đăng được đây thôi. hic

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hieuhx68    0

 

 Bạn thử cái này. Chỉ dùng với dimlinear và đuong giới hạn là line.

(defun c:kn(/ CAOC G1 G2 LI SS TT10 TT13 TT14 TT9)
(defun dxf(id v) (cdr (assoc id (entget v))))
(defun doi (id tri v) (entmod (subst (cons id tri) (assoc id (entget v)) (entget v)))) 
(defun dxf9(v / tt10 tt13 tt14 tt50 tt9)
 (setq tt10 (dxf 10 v)
tt13 (dxf 13 v)
tt14 (dxf 14 v)
tt50 (dxf 50 v) 
  tt9 (inters tt10 (polar tt10 tt50 1) tt13 (polar tt13 (angle tt14 tt10) 1) nil)     
 )
)
;;;
(princ "\n Chon Kich thuoc:")  (setq ss (ssget '((0 . "DIMENSION"))))
(princ "\n Chon Line:") (setq li (ssname (ssget ":S:E" '((0 . "LINE") )) 0))
(setq caoc (getreal (strcat "\n Cach khoang <" (if gl_caoc (rtos gl_caoc) (rtos (setq gl_caoc 0.02))) ">: ")))
(if caoc (setq gl_caoc caoc))
 
  (foreach obj (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss)))
      (setq  tt13 (dxf 13 obj)
    tt14 (dxf 14 obj)
    tt10 (dxf 10 obj)
    tt9 (dxf9 obj)
g1 (inters (dxf 10 li) (dxf 11 li) tt10 tt14 nil)
g2 (inters (dxf 10 li) (dxf 11 li) tt9 tt13 nil)
)
   (if g1 (doi 14 (polar g1 (angle g1 tt10) gl_caoc) obj))
   (if g2 (doi 13 (polar g2 (angle g2 tt9) gl_caoc) obj))
  )
)

Em cảm ơn bác. Bài viết đã đúng như em cần. Tuy nhiên nếu bác cho em thêm chức năng, chọn được nhiều đường line hay PL thì sẽ hoàn thiện được tất cả ạ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×